// Shader for alanbrooke_v1 by Loffy.

// ======================================================================
// COMMAND MAP AND COMPASS
// ======================================================================

levelshots/alanbrooke_v1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/alanbrooke_v1_cc.jpg
		depthFunc equal
		rgbGen identity
	}
}

levelshots/alanbrooke_v1_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/alanbrooke_v1_cc.jpg
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

// ======================================================================
// SKY
// ======================================================================

textures/alanbrooke/sky_alanbrooke
{
	nocompress
	qer_editorimage textures/alanbrooke/sky_alanbrooke.jpg
	q3map_sunExt 1 .96 .87 100 140 80 2 16		// Red green blue intensity degrees elevation deviance and samples
	q3map_lightmapFilterRadius 0 8				// Amount of filtering applied on the lightmap. First value for self (always "0" on sky shaders since skies don't have lightmaps), second value on others.
	q3map_skylight 100 6 						// Amount iterations (e.g.  100 6)
	q3map_nofog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 256 -
	sunshader textures/skies_sd/batterysunfog

	{	fog off
		map textures/skies_sd/battery_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/battery_mask_ydnar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.56 0.56
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.4 0.4 0.4 )
	}
}

// ======================================================================
// SFX
// ======================================================================

textures/alanbrooke/red_blink
{
	qer_editorimage textures/sfx/construction.tga
	cull none
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
        map textures/sfx/construction.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 2 // rgbGen wave [func] [base] [amplitude] [phase] [freq]
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

textures/alanbrooke/blue_blink
{
	qer_editorimage textures/sfx/construction.tga
	cull none
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
        map textures/sfx/construction.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 2 // rgbGen wave [func] [base] [amplitude] [phase] [freq]
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 1.0 )
	}
}

// ======================================================================
// WALLS
// ======================================================================

textures/alanbrooke/white_brick_wall
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/alanbrooke/white_brick_wall.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/alanbrooke/white_brick_wall.jpg
    blendFunc filter
  }
}

textures/alanbrooke/concrete_wall
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/alanbrooke/concrete_wall.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/alanbrooke/concrete_wall.jpg
    blendFunc filter
  }
}

textures/alanbrooke/gold_square
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/alanbrooke/gold_square.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/alanbrooke/gold_square.jpg
    blendFunc filter
  }
}

// ======================================================================
// SIGNS
// ======================================================================

textures/alanbrooke/kates_place
{
	qer_editorimage textures/alanbrooke/kates_place.jpg
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
		{
			map $lightmap
			rgbGen identity
		}
		{
			map textures/alanbrooke/kates_place.jpg
			blendFunc filter
		}
}

textures/alanbrooke/kates_tv
{
	qer_editorimage textures/alanbrooke/kates_tv.jpg
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
		{
			map $lightmap
			rgbGen identity
		}
		{
			map textures/alanbrooke/kates_tv.jpg
			blendFunc filter
		}
}

textures/alanbrooke/enemyterritory_stuff_net
{
	qer_editorimage textures/alanbrooke/enemyterritory_stuff_net.jpg
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
		{
			map $lightmap
			rgbGen identity
		}
		{
			map textures/alanbrooke/enemyterritory_stuff_net.jpg
			blendFunc filter
		}
}

textures/alanbrooke/axis_only_256
{
	qer_editorimage textures/alanbrooke/axis_only.jpg
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
		{
			map $lightmap
			rgbGen identity
		}
		{
			map textures/alanbrooke/axis_only.jpg
			blendFunc filter
		}
}

textures/alanbrooke/alanbrooke_a_256
{
	qer_editorimage textures/alanbrooke/alanbrooke_a_256.jpg
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
		{
			map $lightmap
			rgbGen identity
		}
		{
			map textures/alanbrooke/alanbrooke_a_256.jpg
			blendFunc filter
		}
}

textures/alanbrooke/alanbrooke_b_256
{
	qer_editorimage textures/alanbrooke/alanbrooke_b_256.jpg
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
		{
			map $lightmap
			rgbGen identity
		}
		{
			map textures/alanbrooke/alanbrooke_b_256.jpg
			blendFunc filter
		}
}

textures/alanbrooke/central_flag
{
	qer_editorimage textures/alanbrooke/central_flag.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/central_flag.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/central_flag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alanbrooke/central_respository
{
	qer_editorimage textures/alanbrooke/central_respository.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/central_respository.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/central_respository.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alanbrooke/command_post
{
	qer_editorimage textures/alanbrooke/command_post.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/command_post.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/command_post.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alanbrooke/communication_radio
{
	qer_editorimage textures/alanbrooke/communication_radio.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/communication_radio.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/communication_radio.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alanbrooke/field_marshal_brooke
{
	qer_editorimage textures/alanbrooke/field_marshal_brooke.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/field_marshal_brooke.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/field_marshal_brooke.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alanbrooke/side_route
{
	qer_editorimage textures/alanbrooke/side_route.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/side_route.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/side_route.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alanbrooke/side_route_radio
{
	qer_editorimage textures/alanbrooke/side_route_radio.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/side_route_radio.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/side_route_radio.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alanbrooke/water_flag
{
	qer_editorimage textures/alanbrooke/water_flag.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/water_flag.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/water_flag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alanbrooke/water_wall
{
	qer_editorimage textures/alanbrooke/water_wall.tga
	nopicmip
	nomipmaps
    {
		map textures/alanbrooke/water_wall.tga
	}
	{
		map textures/alanbrooke/sky_alanbrooke_blue.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/alanbrooke/water_wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/alanbrooke/sky_alanbrooke_cloud.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}